std::__detail::_Scanner< _FwdIter > Class Template Reference
Base and Implementation Classes

## Public Types

typedef std::iterator_traits < _FwdIter >::value_type | _CharT
typedef const std::ctype< _CharT > | _CtypeT
typedef regex_constants::syntax_option_type | _FlagT
typedef std::basic_string< _CharT > | _StringT

enum

_TokenT {
_S_token_anychar, _S_token_ord_char, _S_token_oct_num, _S_token_hex_num,
_S_token_backref, _S_token_subexpr_begin, _S_token_subexpr_no_group_begin, _S_token_subexpr_lookahead_begin,
_S_token_subexpr_end, _S_token_bracket_begin, _S_token_bracket_neg_begin, _S_token_bracket_end,
_S_token_interval_begin, _S_token_interval_end, _S_token_quoted_class, _S_token_char_class_name,
_S_token_collsymbol, _S_token_equiv_class_name, _S_token_opt, _S_token_or,
_S_token_closure0, _S_token_closure1, _S_token_ungreedy, _S_token_line_begin,
_S_token_line_end, _S_token_word_bound, _S_token_comma, _S_token_dup_count,
_S_token_eof, _S_token_unknown
}

## Public Member Functions

| _Scanner (_FwdIter __begin, _FwdIter __end, _FlagT __flags, std::locale __loc)
void | _M_advance ()
_TokenT | _M_get_token () const
const _StringT & | _M_get_value () const

## Public Attributes

const std::map< char, char > | _M_awk_escape_map
const std::set< char > | _M_basic_spec_char
void(_Scanner::* | _M_eat_escape )()
const std::map< char, char > | _M_ecma_escape_map
const std::set< char > | _M_ecma_spec_char
const std::map< char, char > & | _M_escape_map
const std::set< char > | _M_extended_spec_char
const std::set< char > & | _M_spec_char
const std::map< char, _TokenT > | _M_token_map

## Detailed Description

### template<typename _FwdIter>
class std::__detail::_Scanner< _FwdIter >

struct _Scanner. Scans an input range for regex tokens.

The _Scanner class interprets the regular expression pattern in the input range passed to its constructor as a sequence of parse tokens passed to the regular expression compiler. The sequence of tokens provided depends on the flag settings passed to the constructor: different regular expression grammars will interpret the same input pattern in syntactically different ways.

Definition at line 53 of file regex_scanner.h.

## Member Enumeration Documentation

template<typename _FwdIter >

enum std::__detail::_Scanner::_TokenT

Token types returned from the scanner.

Definition at line 62 of file regex_scanner.h.

The documentation for this class was generated from the following files:

- regex_scanner.h
- regex_scanner.tcc